Compatibility

Proposed changes to future releases of Caché and Ensemble

VSI OpenVMS

April 27th, 2017 by Andreas

The last version of Caché, Ensemble released for VSI OpenVMS is 2017.1. Unlike HP OpenVMS (Alpha and Itanium), VSI OpenVMS on Itanium continues to be supported. This means that critical corrections or changes required to support customer’s hardware purchases will all be based on 2017.1 or earlier versions.

Related announcement: https://community.intersystems.com/post/platform-compatibility-hp-open-vms

Product Support: OpenVMS

April 19th, 2017 by Andreas
Both HP Open VMS versions (for Itanium and for Alpha)  are discontinued for future InterSystems releases.
Future product releases, beginning with the next major release after 2017.1, will no longer be offered for the following platforms:
HP OpenVMS  for Itanium
HP OpenVMS  for Alpha
Products: Caché, Ensemble
Expected Availability: next major release after 2017.1

Removal of in-memory connection mode for Java XEP

April 22nd, 2016 by Stefan Wittmann

Starting with 2016.2 the Java XEP binding will no longer support the in-memory connection mode. The in-memory mode was deprecated in earlier versions and applications should switch to the TCP/IP connection mode instead.

The TCP/IP connection mode has bridged the gap in performance to a large extent over the past couple of years and enables the Java client to run on a remote machine.

cdirectmgr removed from install

March 2nd, 2016 by bmccor

The cdirectmgr utility will no longer be included with product distributions beginning with the Caché 2016.2 release . This was an older VB application (predating the Caché cube) which allowed users to define server connections for Visual M/Caché Direct applications. As VB 6 is no longer supported by Microsoft, we will no longer ship this component. The same functionality is already available from the cube utility.

Zen Reports Direct Printing changes

March 2nd, 2016 by bmccor

Zen Reports has offered multiple choices for direct printing including use of Adobe Reader or Foxit reader. Recent changes in Windows 10 and in the readers themselves have made it no longer possible to invoke these readers from background processes in Windows 10 and all future versions. Because of this Zen Reports will no longer support printing with these tools on Windows 10.

Windows 10 support was added for 2015.1 and 2015.2.  On Windows 10, the only option for direct printing with Zen Reports will be Qoppa JPDFPrint.

Installations running on older versions of Windows with older versions of Caché will continue to work but a migration plan should be considered immediately to move to Qoppa JPDFPrint.

Sites running on older versions of Windows will not be affected (even on upgrading Caché) unless and until they update the OS to Windows 10 or later

Decompressing the kit archive file will now produce a new top-level directory.

January 27th, 2016 by Len Giambrone

Starting with 2016.2, decompressing the kit archive file will now produce a new top-level directory.

In previous versions when you uncompressed the .tar.gz compressed archive file, it placed all the files in the same top-level folder containing the compressed archive file. Starting with 2016.2, it now creates a new directory with the same name as the compressed archive file (with the .tar.gz extension omitted) and places all of the extracted files in that directory.

If you use a script that uncompresses the archive file and then executes the install, you will have to modify the script to handle the new directory.

Open VMS Support for Integrity i4 servers

November 20th, 2015 by Andreas
InterSystems and Hewlett Packard Enterprise (HPE) have met with OpenVMS clients about their needs and plans, particularly around the new HPE Integrity i4 servers.  Collectively we’ve decided that it is in our joint clients’ interest to amend InterSystems’ previous statement regarding OpenVMS 8.4-1H1 support.
OpenVMS 8.4-1H1 offers support for the new Integrity i4 servers which is a key issue for joint customers who’ve decided to invest in new hardware.  With assistance from both HPE and VMS Software Inc. (VSI), InterSystems will support OpenVMS 8.4-1H1 on both Integrity i2 and i4 servers.  Expected availability for Cache’ and Ensemble on OpenVMS 8.4-1H1 is Q1 2016.
InterSystems is working closely with HPE and VSI to ensure that our mutual clients receive responsive and effective support for their OpenVMS deployed solutions.”

InterSystems and Hewlett Packard Enterprise (HPE) have met with OpenVMS clients about their needs and plans, particularly around the new HPE Integrity i4 servers.  Collectively we’ve decided that it is in our joint clients’ interest to amend InterSystems’ previous statement regarding OpenVMS 8.4-1H1 support.

OpenVMS 8.4-1H1 offers support for the new Integrity i4 servers which is a key issue for joint customers who’ve decided to invest in new hardware.  With assistance from both HPE and VMS Software Inc. (VSI), InterSystems will support OpenVMS 8.4-1H1 on both Integrity i2 and i4 servers.  Expected availability for Cache’ and Ensemble on OpenVMS 8.4-1H1 is Q1 2016.

InterSystems is working closely with HPE and VSI to ensure that our mutual clients receive responsive and effective support for their OpenVMS deployed solutions.

Supported Technologies

July 21st, 2015 by Andreas

Future product releases, beginning with the next major release after August 2015, will no longer support the following technologies:

SQL Gateway Database IBM DB2 8.1
SQL Gateway Database Informix Online 5.2
SQL Gateway Database Sybase Adaptive Server Enterprise 12.5.2

Products: Caché, Ensemble

Expected Availability: next major release after August 2015

Open VMS Support

June 18th, 2015 by Andreas
From time to time our OpenVMS customers ask about our planned support for VMS.

InterSystems will continue to support Caché and Ensemble on OpenVMS for Itanium and Alpha as long as

a) HP continues to support it and

b) We have customers actively using it

OpenVMS technical limitations make it increasingly difficult to offer new capabilities of Caché and Ensemble on OpenVMS (recent examples include security improvements and unstructured data handling).  For current customers, new capabilities they create (based on new Caché or Ensemble features) should be targeted at platforms other than OpenVMS.  Feedback from our customers indicate this is satisfactory for them.

Although our current plan is to continue to deliver new releases of Caché and Ensemble on OpenVMS 8.4, we will not be providing Cache and Ensemble support for releases beyond OpenVMS 8.4.  Caché and Ensemble are supported on OpenVMS for Alpha and OpenVMS for Itanium platforms only.

Information about minimum supported releases may be found at http://www.intersystems.com/services-support/product-support/minimum-supported-version/.  Compatibility announcements and considerations are posted at http://blog.intersystems.com/compatibility/.

If you have any questions, please confer with your account team.

Development Platform Support

March 25th, 2015 by Andreas

Beginning with the next major release after March 2015, InterSystems has updated the supported CentOS Platform version to CentOS-7 x86_64.  CentOS 6.4 will no longer be supported.

CentOS is supported only for development purposes.

Products: Caché, Ensemble

Expected Availability: next major release